Bug 1331464 (CVE-2016-1550) - CVE-2016-1550 ntp: libntp message digest disclosure
Summary: CVE-2016-1550 ntp: libntp message digest disclosure
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-1550
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160426,reported=2...
Depends On: 1332160 1332478 1332479 1332480 1332481 1356969
Blocks: 1331437
TreeView+ depends on / blocked
 
Reported: 2016-04-28 14:52 UTC by Martin Prpič
Modified: 2019-06-08 21:09 UTC (History)
7 users (show)

Fixed In Version: ntp 4.2.8p7
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way NTP's libntp performed message authentication. An attacker able to observe the timing of the comparison function used in packet authentication could potentially use this flaw to recover the message digest.
Clone Of:
Environment:
Last Closed: 2016-05-31 08:23:27 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:1141 normal SHIPPED_LIVE Moderate: ntp security update 2016-05-31 12:11:54 UTC
Red Hat Knowledge Base (Solution) 2300641 None None None 2016-05-06 01:28:59 UTC
Red Hat Product Errata RHSA-2016:1552 normal SHIPPED_LIVE Moderate: ntp security update 2016-08-03 11:43:21 UTC

Description Martin Prpič 2016-04-28 14:52:05 UTC
The follwing flaw was found in NTP:

An exploitable vulnerability exists in the message authentication functionality of Network Time Protocol libntp. An attacker can send a series of crafted messages to attempt to recover the message digest key.

Upstream bugs:

http://support.ntp.org/bin/view/Main/NtpBug2879

External References:

http://support.ntp.org/bin/view/Main/SecurityNotice#April_2016_NTP_4_2_8p7_Security
http://www.talosintel.com/reports/TALOS-2016-0084/

Comment 1 Martin Prpič 2016-05-02 11:37:49 UTC
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1332160]

Comment 3 Fedora Update System 2016-05-07 11:42:22 UTC
ntp-4.2.6p5-40.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-05-10 17:58:46 UTC
ntp-4.2.6p5-40.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-05-12 07:21:56 UTC
ntp-4.2.6p5-40.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 errata-xmlrpc 2016-05-31 08:12:57 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 6

Via RHSA-2016:1141 https://access.redhat.com/errata/RHSA-2016:1141

Comment 8 errata-xmlrpc 2016-08-03 07:43:51 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.7 Extended Update Support

Via RHSA-2016:1552 https://rhn.redhat.com/errata/RHSA-2016-1552.html


Note You need to log in before you can comment on or make changes to this bug.